package com.cr.network

import com.cr.common.DataManager
import com.cr.models.IPAndComModel

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/4/8 15:10
 * 描述：网络管理器
 */
class NetManager {
    companion object{
        /**
         * 获取完整的网络服务地址
         * @param urlName String 服务名
         * @return String
         */
        fun getServerUrl(urlName:String):String{
            var model:IPAndComModel = DataManager.getNetworkLinkInfo()
            return "http://${model.ip}:${model.com}/${model.serverName}/${urlName}"
        }

        /**
         * 获取完整的网络服务地址
         * @return String
         */
        fun getServerUrl():String{
            var model:IPAndComModel = DataManager.getNetworkLinkInfo()
            return "http://${model.ip}:${model.com}/${model.serverName}/"
        }
    }
}